package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrSafetyBleed;

/**
 * 安全设施-紧急泄放阀Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrSafetyBleedMapper
{
    /**
     * 查询安全设施-紧急泄放阀
     *
     * @param id 安全设施-紧急泄放阀ID
     * @return 安全设施-紧急泄放阀
     */
    public TPssrSafetyBleed selectTPssrSafetyBleedById(Long id);
    public int selectNoConfirmCount(Long subId);
    public TPssrSafetyBleed selectAllConfirmedPersonBySubId(TPssrSafetyBleed tPssrSafetyBleed);

    /**
     * 查询安全设施-紧急泄放阀列表
     *
     * @param tPssrSafetyBleed 安全设施-紧急泄放阀
     * @return 安全设施-紧急泄放阀集合
     */
    
    public List<TPssrSafetyBleed> selectTPssrSafetyBleedList(TPssrSafetyBleed tPssrSafetyBleed);

    /**
     * 新增安全设施-紧急泄放阀
     *
     * @param tPssrSafetyBleed 安全设施-紧急泄放阀
     * @return 结果
     */
    public int insertTPssrSafetyBleed(TPssrSafetyBleed tPssrSafetyBleed);

    /**
     * 修改安全设施-紧急泄放阀
     *
     * @param tPssrSafetyBleed 安全设施-紧急泄放阀
     * @return 结果
     */
    public int updateTPssrSafetyBleed(TPssrSafetyBleed tPssrSafetyBleed);
    public int updateTPssrSafetyBleedByIds(TPssrSafetyBleed tPssrSafetyBleed);


    public int updateAllBySubId(TPssrSafetyBleed tPssrSafetyBleed);

    /**
     * 删除安全设施-紧急泄放阀
     *
     * @param id 安全设施-紧急泄放阀ID
     * @return 结果
     */
    public int deleteTPssrSafetyBleedById(Long id);

    /**
     * 批量删除安全设施-紧急泄放阀
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrSafetyBleedByIds(Long[] ids);
}
